Bewertet mit 1 von 5 Sternen

Does NOT work with firefox 22, haven't tried other versions. The Author said there is a 1.2.4 version of this addon that works, but no where can you find a place to download that version. PLEASE UPDATE THIS ADDON!